{
	"name": "form/nc/erp-sync/woocommerce/column/order_row_shipping.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-new": "data.change_status == 'new'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"variable": "idx",
			"name": "Row",
			"link_field": "ord.order_id",
			"record_type": "sales"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ord.order_id",
			"width": 70,
			"name": "Myyntitil."
		},
		{
			"field": "ordr.json_data.method_id",
			"tag": "product_id",
			"width": 70,
			"name": "Tuote"
		},
		{
			"field": "ordr.json_data.project_id",
			"width": 60,
			"name": "Woo Id"
		},
		{
			"field": "ord.company_id",
			"width": 80,
			"name": "Asiakas"
		},
		{
			"field": "ordr.unit_price",
			"default_value": {
				"copy_value": {
					"ordr.unit_price": "total"
				}
			},
			"width": 60,
			"name": "á hinta"
		},
		{
			"field": "ordr.order_amount",
			"default_value": {
				"static": {
					"ordr.order_amount": 1
				}
			},
			"width": 60,
			"name": "Määrä"
		},
		{
			"field": "ordr.price_without_vat",
			"width": 80,
			"name": "hinta alv 0%"
		},
		{
			"field": "ordr.vat_price",
			"width": 70,
			"name": "alv"
		},
		{
			"field": "ord.currency_id",
			"width": 70,
			"name": "Valuutta"
		},
		{
			"field": "ord.note",
			"width": 200,
			"name": "Huomautukset"
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.order_state",
			"width": 80,
			"name": "Tila"
		},
		{
			"field": "ordr.row_number",
			"width": 50,
			"name": "Rivi"
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"width": 70,
			"name": "Osatoim."
		},
		{
			"field": "co.name",
			"width": 120,
			"name": "As. nimi"
		},
		{
			"field": "ord.price_without_vat",
			"width": 80,
			"name": "Hinta alv 0%"
		},
		{
			"field": "ord.vat_price",
			"width": 80,
			"name": "Alv"
		}
	]
}
